Okta Identity Governance
/Management APIs
/- List all unowned resources
Configure the resource owners
List all resources with owners
Update a resource owner
List all unowned resource...
Lists all unowned resources for an app (the parent resource).
For this request, you must specify the filter query parameter with a parentResourceOrn filter expression. This method returns all the resources for an app, such as entitlements or entitlement bundles, that don't have owners assigned.
A filter expression that returns entries based on the following properties and supported operators:
parentResourceOrn: supportseq(required)resource.type: supportseqresource.profile.*: supportsswandco(bothparentResourceOrnandresource.typefilters are required forresource.profile.*filtering)
Note: Query parameter percent encoding is required. See Special characters.
Examples:
Filter by resource type
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ" AND resource.type eq "entitlement-bundles"Filter by the resource name for a specified resource type, starting with the provided prefix
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ" AND resource.type eq "entitlement-bundles" AND reFilter by the resource name for a specified resource type that contains the provided substring
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ" AND resource.type eq "entitlement-bundles" AND reFilter by resource type and parent ID
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ" AND resource.type eq "entitlement-values AND resoFilter by the resource name for a specified resource type, starting with the provided prefix and parent ID
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ" AND resource.type eq "entitlement-values" AND resFilter by the resource name for a specified resource type that contains the provided substring and parent ID
filter=parentResourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ" AND resource.type eq "entitlement-values" AND resSpecifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Example:after=00u68w6vzKLultXS97g6
GET
curl -i -X GET \
'https://okta-subdomain.pixtulate.com/governance/api/v1/resource-owners/catalog/resources?filter=parentResourceOrn%20eq%20%22orn%3Aokta%3Aidp%3A00o11edPwGqbUrsDm0g4%3Aapps%3Asalesforce%3A0oafxqCAJWWGELFTYASJ%22%20AND%20resource.type%20eq%20%22entitlement-bundles%22&limit=20&after=00u68w6vzKLultXS97g6'Resource owners catalog resources success response
The Okta resource in ORN format
See the ORN format for supported resources.
Response
- Resource owners entitlement bundle catalog success response
- Resource owners entitlement values catalog success response
{ "parentResourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "data": [ { … }, { … } ], "_links": { "self": { … } } }